# 1. サブスクリプション: イベントを取得

次のときにサブスクリプションをフォローする `挿入`/`変更`/`削除` "Farm"、"Field"、"FieldSatelliteImage"、"RasterAnalysisMap"、"VectorAnalysisMap"、その他のエンティティで操作が発生したとき。

サブスクリプション機構はMQTTとWebSocketの上に構築されています。統合を開始するには次を読むことを推奨します [AWS AppSync サブスクリプション記事](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
サブスクリプションイベントはGeoPardバックエンドでイベントが発生したときにすぐ送信されます。
{% endhint %}

{% hint style="info" %}
すべてのサブスクリプションイベントには次の名前の一意の識別子があります `uuid`は、から要求された処理済みおよび見逃したイベントをフィルタリングするのに役立ちます [82. クエリ: サブスクリプションイベントの復元](/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/82-kueri-sabusukuripushonibentowo.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action（操作）
    nodePath {
      entity（エンティティ）
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/1-sabusukuripushon-ibentowo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
